package com.casic.dcms.bean;

import java.util.List;

public class LightMapBean {

    private int code;
    private String message;
    private boolean success;
    private List<DataBean> data;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public static class DataBean {

        private String controllerCode;
        private String lampCode;
        private String lampId;
        private double latitude;
        private String deptId;
        private String statusName;
        private String lampName;
        private String latestTime;
        private double longitude;
        private String status;

        public String getControllerCode() {
            return controllerCode;
        }

        public void setControllerCode(String controllerCode) {
            this.controllerCode = controllerCode;
        }

        public String getLampCode() {
            return lampCode;
        }

        public void setLampCode(String lampCode) {
            this.lampCode = lampCode;
        }

        public String getLampId() {
            return lampId;
        }

        public void setLampId(String lampId) {
            this.lampId = lampId;
        }

        public double getLatitude() {
            return latitude;
        }

        public void setLatitude(double latitude) {
            this.latitude = latitude;
        }

        public String getDeptId() {
            return deptId;
        }

        public void setDeptId(String deptId) {
            this.deptId = deptId;
        }

        public String getStatusName() {
            return statusName;
        }

        public void setStatusName(String statusName) {
            this.statusName = statusName;
        }

        public String getLampName() {
            return lampName;
        }

        public void setLampName(String lampName) {
            this.lampName = lampName;
        }

        public String getLatestTime() {
            return latestTime;
        }

        public void setLatestTime(String latestTime) {
            this.latestTime = latestTime;
        }

        public double getLongitude() {
            return longitude;
        }

        public void setLongitude(double longitude) {
            this.longitude = longitude;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }
    }
}
